org.apache.felix.rootcause

## Class DSComp

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.apache.felix.rootcause.DSComp

    public class DSComp
    extends org.osgi.dto.DTO

DTO for a component

### Field Summary

Fields
`org.osgi.service.component.runtime.dto.ComponentConfigurationDTO` `config` The component configuration
`org.osgi.service.component.runtime.dto.ComponentDescriptionDTO` `desc` The component description
`List<DSRef>` `unsatisfied` List of unsatisfied references.

### Constructor Summary

Constructors
Constructor and Description
`DSComp()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### desc

    public org.osgi.service.component.runtime.dto.ComponentDescriptionDTO desc

The component description

#### config

    public org.osgi.service.component.runtime.dto.ComponentConfigurationDTO config

The component configuration

#### unsatisfied

    public List<DSRef> unsatisfied

List of unsatisfied references.

### Constructor Detail

#### DSComp

    public DSComp()